Subject: bug#31037: 27.0.50; Misleading info in Introduction to Programming in Emacs Lisp

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Apr 2018 10:34:28 +0300

> From: Marcin Borkowski <[email-masked]>
> Date: Tue, 03 Apr 2018 08:33:39 +0200
> 
> (info "eintro")
> 
> yields
> 
> --8<---------------cut here---------------start------------->8---
> An Introduction to Programming in Emacs Lisp
> ********************************************
> 
> This is an ‘Introduction to Programming in Emacs Lisp’, for people who
> --8<---------------cut here---------------end--------------->8---
> 
> If I want to actually cite Chassell's book, it is (a) not obvious who
> the author is (the name can be found at the end of the preface and in
> the "About the author" section, but not on the title page, where it
> should be!), and (b) completely not obvious how to cite the book - is
> the official title "An Introduction to Programming in Emacs Lisp" or
> "Introduction to Programming in Emacs Lisp"?

You are looking in the wrong place for this information.  The Info
format of a book is not a book, it's an on-line documentation file.
For the book details, you should either (a) look at the Texinfo
sources, or (b) produce a PDF or DVI/PS format, and look there.  (The
former is much easier, of course, if you have the sources.)